Diablo Troubles

Discussion in 'Games' started by macfan92, Jul 23, 2006.

  1. macfan92 macrumors newbie

    Joined:
    Jun 6, 2006
    #1
    I'm having some trouble installing Diablo. When I put it in and click install it say's "You cannot open the application "Diablo Installer" because it is not supported on this system." I was hoping someone would have a solution.
     
  2. ravenvii macrumors 604

    ravenvii

    Joined:
    Mar 17, 2004
    Location:
    Melenkurion Skyweir
    #2
    Probably because you don't have Classic. Diablo is not supported in OS X natively. If you have a PowerPC Mac, install Classic. If you have a Intel Mac, you're out of luck - you have to play it in Windows.
     
  3. macfan92 thread starter macrumors newbie

    Joined:
    Jun 6, 2006
    #3
    But I'm confused. I had a similar problem when I tried to install Starcraft and I was given a link to an OX updater of some sort. I figured there would be one of those for Diablo, too.
     
  4. devilot Moderator emeritus

    devilot

    Joined:
    May 1, 2005
    #4
  5. macfan92 thread starter macrumors newbie

    Joined:
    Jun 6, 2006
    #5
    That stuff is for Diablo 2. I want to play the original.
     
  6. devilot Moderator emeritus

    devilot

    Joined:
    May 1, 2005
    #6
    I'm sorry. :eek: My brain isn't handling the heat very well... I think you can find a definitive answer nonetheless from Blizzard. Here, I've done it for you:
    Link: http://www.blizzard.com/support/?id=adb01943p
     
  7. macfan92 thread starter macrumors newbie

    Joined:
    Jun 6, 2006
  8. ckeck macrumors 6502a

    ckeck

    Joined:
    Jul 29, 2005
    Location:
    Texas
    #8
    C'mon Blizzard...make Diablo compatible with Mac OS X (Intel)...pretty please!! ;)
     

Share This Page